Package: libcamp-dev
Source: camp
Version: 0.8.4-4.1build1
Architecture: arm64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Installed-Size: 474
Depends: libcamp0.8t64 (= 0.8.4-4.1build1)
Conflicts: libcamp0.7-dev
Replaces: libcamp0.7-dev
Provides: libcamp0.7-dev
Section: libdevel
Priority: optional
Multi-Arch: same
Homepage: https://github.com/IRCAD/camp
Description: C++ multi-purpose reflection library (development files)
 CAMP is a multi-purpose reflection library developed by Technogerma Systems
 France (http://www.tegesoft.com).
 It provides an abstraction for most of the high-level concepts of C++
  - Classes
  - Enumerations
  - Properties
  - Functions
  - Objects
  - Variables
 By wrapping all these concepts into abstract structures, CAMP provides an
 extra layer of flexibility to programs, and allow them to fully expose their
 data structures at runtime.
 Many applications can take advantage of CAMP, in order to automate tasks which
 would otherwise require a huge amount of work. For example, CAMP can be used
 to expose and edit objects' attributes into a graphical user interface. It can
 also be used to do automatic binding of C++ classes to script languages such as
 Python or Lua.
 Another possible application would be the serialization of objects to XML, text
 or binary formats. Or you can even combine all these examples to provide a
 powerful and consistent interface for manipulating your objects outside C++
 code.
 .
 This package contains the files needed for development.
Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
